Bug 70813 - DiskDruid changes filesystem label
Summary: DiskDruid changes filesystem label
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: limbo
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-05 18:10 UTC by John Reiser
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-05 18:10:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Reiser 2002-08-05 18:10:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020529

Description of problem:
Using DiskDruid partitioning does not preserve existing filesystem label,
and does not offer a means of setting the label during reformatting for ext3.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Find a spare 2.5GB partition, already formatted ext3, and already labeled.
2. Text mode install 2nd limbo beta Personal Workstation, Disk Druid partition.
 Re-use the partition, mount as root "/", re-format as ext3.
3. Observe label using "cat /etc/fstab" or "tune2fs -l /dev/hdaX".
	

Actual Results:  Filesystem label is changed to "/1".

Expected Results:  Filesystem label should be kept as is, and/or DiskDruid
should offer an interactive method to change the label, including the option of
keeping it as is.  By default, labels should survive reformatting, and
formatting should allow choice of label.

Additional info:

Comment 1 Michael Fulbright 2002-08-12 21:46:46 UTC
The system does not care about the actual label on the filesystem, as long as
the reference in /etc/fstab is correct.

You can change them afterwards if you want.


Note You need to log in before you can comment on or make changes to this bug.